Get a previously created driver check with a given id
Security
get-bearer-token-using-oauth2
- Checkr Trust APIhttps://api.checkrtrust.com/v1/driver_checks/{driver_check_id}
curl -i -X GET \
'https://api.checkrtrust.com/v1/driver_checks/2b8313e8-4efd-45a1-b578-952b8313e890?include%5B%5D=profile' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
One of:
A universally unique identifier (UUID) in standard format.
Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
An ISO 8601 formatted date-time string.
Example:"2020-01-01T00:00:00Z"
One of:
An ISO 8601 formatted date-time string.
string (date-time)(datetime)
resultsdriver_license_status_result (object) or motor_vehicle_report_result (object) or driver_license_status_result (null) or motor_vehicle_report_result (null) or null
One of:
Results, or null if not completed. The structure depends on the value of check_type.
A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens.
Example:"ref-123"
Response
{ "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890", "id": "2b8313e8-4efd-45a1-b578-952b8313e890", "created_at": "2020-01-01T00:00:00Z", "completed_at": "2020-01-01T00:00:00Z", "results": { "requested_profile": { … }, "passenger": { … } }, "check_type": "driver_license_status", "reference_id": "ref-123" }